package dot.app.functionality.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import dot.app.functionality.entity.Simple;

public interface SimpleRepository extends JpaRepository<Simple, Long> {

	/* 
		Without @Query we are getting a strange exception 
			
			'javax.resource.ResourceException: IJ000460: Error checking for a transaction'
		
		If we uncomment the @Query the problem disappear. 
	*/
	//@Query("from Simple where name = ?1")
    public Simple findByName(final String name);
}
