package dot.app.client;

import javax.inject.Inject;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
import javax.servlet.annotation.WebListener;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import dot.app.functionality.service.SimpleService;

@WebListener
public class Listener implements ServletContextListener {

    private static final Logger log = LoggerFactory.getLogger(Listener.class);

    @Inject
    private SimpleService service;

    public Listener() {
        super();
    }

    public void contextInitialized(ServletContextEvent contextEvent) {
		
		service.find();
    }
	
	public void contextDestroyed(ServletContextEvent contextEvent) {
        log.debug("Destroyed context");
    }
}
