package dot.app.functionality.service.impl;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.inject.Inject;

import dot.app.functionality.service.SimpleService;
import dot.app.functionality.repository.SimpleRepository;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@Stateless
public class SimpleServiceImpl implements SimpleService {

    private static final Logger log = LoggerFactory.getLogger(SimpleServiceImpl.class);

    @Inject
    private SimpleRepository simpleRepo;

	@Override
    @TransactionAttribute(TransactionAttributeType.REQUIRED)
    public void find() {
	
		log.debug("METHOD[find]: Trying to call findByName....");
	
        simpleRepo.findByName("");
        
		log.debug("METHOD[find]: findByName was successfully called.");
		
        return ;
    }
}
